\include "paper16.ly"


%\version "1.3.40";

stemup = \property Voice.stemVerticalDirection = \up 
stemboth= \property Voice.stemVerticalDirection = \center
stemdown = \property Voice.stemVerticalDirection = \down

\header {
    filename = "HaveMercyOnMe_OGod_1.ly";
    title = "Have Mercy On Me, O God";
    subtitle = "Based on Psalm 57";
    composer = "Desmond Lam";
    date = "March 26, 2000";
    tagline = "";
    enteredby = "dfylam";
}


VoiceGlobal = \notes {
    \emptyText
    \property Voice.noAutoBeaming = ##t
}


SATBVoiceGlobal = \notes {
    \property Voice.dynamicDirection = \up
}


StaffGlobal = \notes {
    \key f \minor;
    \time 6/4;
    \partial 4;
    \property Staff.automaticMelismata = ##t
    \property Staff.skipBars = ##f
}


SopranoVoice = \notes \relative c' {
    \VoiceGlobal

    \context Voice = SopranoVoiceOne {
        \SATBVoiceGlobal
        \property Voice.textScriptPadding = 15
        f4^\textscript "Earnest and prayerful" "Large"^\p

        % 1
        aes g aes bes2 ees4 |
        des2. () c2 bes4 |
        des c des f2 g4 |
        f2. () e2 f4^\pp |

        % 5
        f2. ees2 ees4 |
        ees2. ~ ees2 f4 |
        f ( e ) f d2 d4 |
        d2. () e2 f4^\p |
        \property Voice.textScriptPadding = 5
          c2.^\textscript "accel." "italic" ees2 ees4 |

        % 10
        ees2. ~ ees2 bes4 |
        f' ( e ) f d2 d4 |
        c2. ~ c2 [c8^\mf c] |
        f2^\textscript "cresc." "italic" c4 g'2 g4 |
        aes aes, bes bes () c [des8 des] |

        % 15
        ges2 aes,4 b () des des |
        des \< c2 ~ c \! c4 |
        g'2.^\ff () f ~ |
        f2. r4^\textscript "rit." "italic" f,-- g-- |
        \property Voice.textScriptPadding = 10
          aes2^\textscript "Tempo I" "Large"^\p f4 bes () aes g |

        % 20
        g2. \> f ~ |
        \! f^\pp ~ f2^\fermata \bar "||";
    }
}


AltoVoice = \notes \relative c' {
    \VoiceGlobal

    \context Voice = AltoVoiceOne {
        \SATBVoiceGlobal
        f4^\pp |

        % 1
        f e f g2 g4 |
        g2. () aes2 aes4 |
        g g g g2 g4 |
        g2. ~ g2 f4^\p |

        % 5
        aes4 g aes bes2 ees4 |
        des2. () c2 bes4 |
        des c des f,2 g4 |
        aes2. () g2 f4^\p |
        f2.^\textscript "accel." "italic" ees2 ees4 |

        % 10
        aes2. ~ aes2 aes4 |
        bes2. b2 b4 |
        c2. () bes!2 c4^\mf |
        c2.^\textscript "cresc." "italic" bes |
        aes2 aes4 g () aes [aes8 aes] |

        % 15
        ges4 aes2 aes f4 |
        g!2 \< () bes4 c () bes \! bes ( |
        ) aes2.^\f ~ <
            {\stemdown aes ~ | aes}
            \context Voice = AltoVoiceTwo {
                \SATBVoiceGlobal
                \property Voice.fontSize = -2
                \stemup des ~ | des
            }
        > \stemboth r4^\textscript "rit." "italic"  f-- g-- |

        % 19
        \property Voice.textScriptPadding = 10
          des2^\textscript "Tempo I" "Large"^\p des4 e2 e4 |

        % 20
        c2. \> c ~ |
        \! c^\pp ~ c2^\fermata
    }
}


TenorVoice = \notes \relative c {
    \VoiceGlobal
    \clef "G_8";

    \context Voice = TenorVoiceOne {
        \SATBVoiceGlobal
        f4^\pp |

        % 1
        c' c c ees2 ees4 |
        ees2. ~ ees2 bes4 |
        f' e f d2 d4 |
        d2. () c2 f4^\pp |

        % 5
        f e f g2 g4 |
        g2. () aes2 aes4 |
        g g f f2 b,4 |
        c2. ~ c2 f,4^\mp |
        aes^\textscript "accel." "italic" g aes bes2 ees4 |

        % 10
        des2. () c2 bes4 |
        des c des f2 g4 |
        f2. () e2 f4^\mp |
        f2. ees2 ees4 |
        aes,2. ~ aes2 aes4^\textscript "cresc." "italic" |

        % 15
        bes2. b2 b4 |
        c2. \< ~ c2 \! c4 ( |
        <
            {\stemup ) des2.^\f ~ des ~ | des}
            \context Voice = TenorVoicetwo {
                \property Voice.fontSize = -2
                \stemdown aes ~ aes ~ | aes
            }
        > \stemboth r4^\textscript "rit." "italic" f,-- g-- |

        % 19
        \property Voice.textScriptPadding = 10
          f^\textscript "Tempo I" "Large"^\p () g aes g2 bes4 |

        % 20
        bes2. \> ( ~ bes4 aes ) g |
        \! aes2.^\pp ~ aes2^\fermata
    }
}


BassVoice = \notes \relative c {
    \VoiceGlobal
    \clef "bass";

    \context Voice = BassVoiceOne {
        \SATBVoiceGlobal
        f4^\pp |

        % 1
        f f f ees2 ees4 |
        aes2. ~ aes2 aes4 |
        bes bes bes b2 b,4 |
        c2. ~ c2 c4^\pp |

        % 5
        f f f ees2 ees4 |
        aes2. ~ aes2 aes4 |
        bes bes bes b2 g4 |
        c,2. ~ c2 f4^\p |
        f^\textscript "accel." "italic" e f g2 g4 |

        % 10
        g2. () aes2 aes4 |
        g g g g2 g4 |
        g2. ~ g2 f,4^\mp |
        aes g aes bes2 ees4 |
        des2. () c2 bes4^\textscript "cresc." "italic" |

        % 15
        des c des f2 g4 |
        f2. \< () e2 \! e4 ( |
        ) des2.^\f ~ des ~ |
        des r4^\textscript "rit." "italic" f-- g-- |
        \property Voice.textScriptPadding = 10
          bes,2^\textscript "Tempo I" "Large"^\p bes4 c2 c4 |

        % 20
        f2. \> f ~ |
        \! f^\pp ~ f2^\fermata
    }
}


PianoVoiceR = \notes \relative c' <
    \VoiceGlobal

    \context Voice = PianoVoiceROne {
        f4 |

        % 1
        <f aes> <e g> <f aes> <g2 bes> <g4 ees'> |
        <g2. des' ( > <aes2 ) c> <aes4 bes> |
        <g des'> <g c> <g des'> <g2 f'> <g4 g'> |
        <g2. f' ( > ~ <g2 ) e'> <f4 f'> |

        % 5
        <
            {\stemup f'2.}
            \context Voice = PianoVoiceRTwo {\stemdown aes,4 g aes}
        > \stemboth <bes,2 ees> ees4 |
        <des2. ees> ~ < c2 ees> <bes4 f'> |
        <des f ( > <c e> <des ) f> <f,2 d'> <g4 d'> |
        <aes2. d ( > <g2 ) e'> <f4 f'> |
        <f2. c'> <ees2 ees'> <ees4 ees'> |

        % 10
        <aes2. ees'> ~ <aes2 ees'> <aes4 bes> |
        <
            {\stemup f'4 ( e ) f}
            \context Voice = PianoVoiceRTwo {\stemdown bes,2.}
        > \stemboth <b,2 d> <b4 d> |
        c2. ~ <bes2 c>
          <
            {\stemup [c8 c]}
            \context Voice = PianoVoiceRTwo {\stemdown c4}
          > |
        <
            {\stemup f2 c4 g'2 g4 | aes aes,}
            \context Voice = PianoVoiceRTwo {\stemdown c2. bes | aes2}
        > \stemboth <aes4 bes> <g bes ( > <aes ) c> [<aes8 des> <aes des>] |

        % 15
        <
            {\stemup ges'2 aes,4 b () des}
            \context Voice = PianoVoiceRTwo {\stemdown ges,4 aes2 aes}
        > \stemboth <des4 f,> |
        <
            {\stemup des c2 ~ c2}
            \context Voice = PianoVoiceRTwo {\stemdown g2 () bes4 c bes}
        > \stemboth <bes4 c> |
        <aes2. g'> ~ <aes des f> ~ |
        <aes des f> r4 f g |
        <aes2 des,> <f4 d> <
            {\stemup bes () aes}
            \context Voice = PianoVoiceRTwo {\stemdown e2}
        > \stemboth <g4 es> |

        % 20
        <g2. c,> ~ <f c> ~ |
        <f c> ~ <f2 c> \bar "||";
    }
>


PianoVoiceL = \notes \relative c <
    \VoiceGlobal
    \clef "bass";

    \context Voice = PianoVoiceLOne {
        f4 |

        % 1
        <f c'> <f c'> <f c'> <ees2 ees'> <ees4 ees'> |
        <aes2. ees'> ~ <aes2 ees'> <aes4 bes> |
        <bes f'> <bes e> <bes f'> <b2 d> <b,4 d'> |
        <c2. d' ( > ~ <c2 ) c'> <c4 f'> |
        
        % 5
        <f f'> <f e'> <f f'> <ees2 g'> <ees4 g'> |
        <aes2. g'> ~ <aes2 aes'> <aes4 aes'> |
        <bes g'> <bes g'> <bes f'> <b2 f'> <g4 b> |
        <c,2. c'> ~ <c2 c'> f4 |
        <f aes> <e g> <f aes> <g2 bes> <g4 ees'> |

        % 10
        <g2. des' ( > <aes2 ) c> <aes4 bes> |
        <g des'> <g c> <g des'> <g2 f'> <g4 g'> |
        <g2. f' ( > ~ <g2 ) e'> <f'4 f,,> |
        <
            {\stemup f2.}
            \context Voice = PianoVoiceLTwo {\stemdown aes,,4 g aes}
          > \stemboth <ees2 bes,> <ees4 ees,> |
        <aes,2. des,> ~ <aes2 c,> <aes4 bes,> |

        % 15
        <
            {\stemup bes2.}
            \context Voice = PianoVoiceLTwo {\stemdown des,4 c des}
        > \stemboth <b2 f,> <b4 g> |
        <c2. f,> ~ <c2 e,> <c4 e, ( > |
        <des2. aes ) des,> ~ <des aes des,> ~ |
        <des aes des,> r4 f, g |
        <
            {\stemup f () g}
            \context Voice = PianoVoiceLTwo {\stemdown bes,2}
        > \stemboth <bes4 bes,> <g2 c,> <bes4 c,> |

        % 20
        <
            {\stemdown bes2. ~ \stemup bes4 aes g | aes2. ~ aes2}
            \context Voice = PianoVoiceLTwo {
              \stemdown f2. ~ f2. ~ | f2. ~ f2
            }
        >
    }
>


LineBreaker = \notes {
    \skip 4;

    % 1
    \skip 4*18;
    \break

    % 4
    \skip 4*18;
    \break

    % 7
    \skip 4*24;
    \break

    % 11
    \skip 4*24;
    \break

    % 15
    \skip 4*24;
    \break

    % 19
    %\skip 4*18;
    %\break
}


SopranoLyrics = \lyrics {
    Have4 mer -- cy on me,2 O4 God,2. __ _2
      Have4 mer -- cy on me,2 O4 God,2. __ _2
    Have4 mer2. -- cy,2 O4 God,2. __ _2
      Have4 mer2. -- cy,2 O4 God,2. __ _2
    Have4 mer2. -- cy,2 O4 God,2. __ _2
      Have4 mer2. -- cy,2 O4 God,2. __ _2
    for8 in you2 my4 soul2 takes4 re -- fuge, O God,2 __
    for8 in you2 my4 soul2 __ takes4 re -- fuge,2 __ _2 O4 God,1. __ _2. _4
    for in you2 my4 soul2 __ takes4 re2. -- fuge.1. __ _2
}


AltoLyrics = \lyrics {
    Have4 mer -- cy on me,2 O4 God,2. __ _2
      Have4 mer -- cy on me,2 O4 God,2. __ _2
    Have4 mer -- cy on me,2 O4 God,2. __ _2
      Have4 mer -- cy on me,2 O4 God,2. __ _2
    Have4 mer2. -- cy,2 O4 God,2. __ _2
      Have4 mer2. -- cy,2 O4 God,2. __ _2
    my4 soul2. takes re2 -- fuge,4 God,2 __
    for8 in you4 my2 soul takes4 re2. -- fuge,2 __ Ah4*7 __ _2. _4
    for in you2 my4 soul2 takes4 re2. -- fuge.1. __ _2
}


TenorLyrics = \lyrics {
    Have4 mer -- cy on me,2 O4 God,2. __ _2
      Have4 mer -- cy on me,2 O4 God,2. __ _2
    Have4 mer -- cy on me,2 O4 God,2. __ _2
      Have4 mer -- cy on me,2 O4 God,2. __ _2
    Have4 mer -- cy on me,2 O4 God,2. __ _2
      Have4 mer -- cy on me,2 O4 God,2. __ _2
    Have4 mer2. -- cy,2 O4 God,2. __ _2
      Have4 mer2. -- cy,2 O4 God,2. __ _2 Ah4*7 __ _2. _4
    for in you2 __ my4 soul2 takes4 re1. -- fuge.2. __ _2
}


BassLyrics = \lyrics {
    Have4 mer -- cy on me,2 O4 God,2. __ _2
      Have4 mer -- cy on me,2 O4 God,2. __ _2
    Have4 mer -- cy on me,2 O4 God,2. __ _2
      Have4 mer -- cy on me,2 O4 God,2. __ _2
    Have4 mer -- cy on me,2 O4 God,2. __ _2
      Have4 mer -- cy on me,2 O4 God,2. __ _2
    Have4 mer -- cy on me,2 O4 God,2. __ _2
      Have4 mer -- cy on me,2 O4 God,2. __ _2 Ah4*7 __ _2. _4
    for in you2 my4 soul2 takes4 re2. -- fuge.1. __ _2
}


ChoirStaffSpacing = \notes {
    \property Staff.StaffVerticalExtent = #'(-3.5 . 9.0)
}
    

SopranoStaff = \context Staff = contextSopranoStaff {
    \StaffGlobal
    \ChoirStaffSpacing
    \property Staff.instrument = "Soprano"
    \property Staff.midiInstrument = "synth voice"
    \property Staff.StaffVerticalExtent = #'(-3.5 . 12.0)
    <
        \context Voice = contextSopranoVoice \SopranoVoice
        \context Voice = contextLineBreaker \LineBreaker
    >
}


AltoStaff = \context Staff = contextAltoStaff {
    \StaffGlobal
    \ChoirStaffSpacing
    \property Staff.StaffVerticalExtent = #'(-4.0 . 9.0)
    \property Staff.instrument = "Alto"
    \property Staff.midiInstrument = "synth voice"
    \AltoVoice
}


TenorStaff = \context Staff = contextTenorStaff {
    \StaffGlobal
    \ChoirStaffSpacing
    \property Staff.instrument = "Tenor"
    \property Staff.midiInstrument = "synth voice"
    \TenorVoice
}


BassStaff = \context Staff = contextBassStaff {
    \StaffGlobal
    \ChoirStaffSpacing
    \property Staff.instrument = "Bass"
    \property Staff.midiInstrument = "synth voice"
    \BassVoice
}


ChoirStaffSATB = \context ChoirStaff <
    %\addlyrics
        \context Staff = contextSopranoStaff \SopranoStaff
        \context Lyrics = contextSopranoVoice \SopranoLyrics
    %\addlyrics
        \context Staff = contextAltoStaff \AltoStaff
        \context Lyrics = contextAltoVoice \AltoLyrics
    %\addlyrics
        \context Staff = contextTenorStaff \TenorStaff
        \context Lyrics = contextTenorVoice \TenorLyrics
    %\addlyrics
        \context Staff = contextBassStaff \BassStaff
        \context Lyrics = contextBassVoice \BassLyrics
>


PianoStaffR = \context Staff = contextPianoStaffR {
    \StaffGlobal
    \property Staff.instrument = " "
    \property Staff.midiInstrument = "acoustic grand"
    \PianoVoiceR
}


PianoStaffL = \context Staff = contextPianoStaffL {
    \StaffGlobal
    \property Staff.instrument = " "
    \property Staff.midiInstrument = "acoustic grand"
    \PianoVoiceL
}


PianoStaffRL = \context PianoStaff <
    %\property PianoStaff.StaffVerticalExtent = #'(-5.0 . 9.0)
    \context Staff = contextPianoStaffR {
        \property PianoStaff.instrument = "Piano (for\\nrehearsal\\nonly)"
        \PianoStaffR
    }
    \context Staff = contextPianoStaffL {
        \PianoStaffL
    }
>


\score {
    \midi {
        %\tempo 2. = 48;
        \tempo 4 = 80;
    }
    \paper {
        %linewidth = 18.0 \cm;
        linewidth = 6.5 \in;
        textheight = 9.0 \in;
        \translator {
            \StaffContext
              %\consists Bar_number_engraver;
              %\consists Staff_margin_engraver;
        }
        \translator {
            \PianoStaffContext
              %\consists Staff_margin_engraver;
              \consists Instrument_name_engraver;
        }
        \translator {
            \ScoreContext
              \consists Bar_number_engraver;
        }
    }
    <
        \property Score.barNumberScriptPadding = 10
        \ChoirStaffSATB
        %\PianoStaffRL
    >
}
